Package org.eclipse.microprofile.rest.client.annotation

# Annotation Type ClientHeaderParams

@Target({TYPE,METHOD}) @Retention(RUNTIME) @Documented public @interface ClientHeaderParams
Used to specify HTTP parameters that should be sent with the outbound request. When this annotation is placed at the interface level of a REST client interface, the specified headers will be sent on each request for all methods in the interface. When this annotation is placed on a method, the headers will be sent only for that method. If the same HTTP header is specified in an annotation for both the type and the method, only the header value specified in the annotation on the method will be sent.

This class serves to act as the `Repeatable` implementation for `ClientHeaderParam`.

Since:
  1.2

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`ClientHeaderParam[]`
`value`

## Element Details

### value

ClientHeaderParam[] value